|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Files | Functions | Variables
Power Control Configuration
Power Control

Contains Power Control Configuration. More...

Collaboration diagram for Power Control Configuration:

## Files
file | pwrctrl.c
| Contains power control initialization including control loop initialization and start-up initialization, and the power control execution.

## Functions
void | PwrCtrl_Initialize (void)
| Initialize the power control parameters.
void | PwrCtrl_Execute (void)
| Executes the power control state machine.
void | PwrCtrl_Reset (void)
| Resets the power control properties.
static void | PwrCtrl_ControlLoopInitialize (void)
| Initializes the control loop.
static void | PwrCtrl_StartUpInitialize (void)
| Initialize the StartUp Ramp configuration.

## Variables
POWER_CONTROL_t | dab
| Global data object for a DAB Converter.

## Detailed Description

This document includes the power control initialization and execution functions.

## Function Documentation

## ◆ PwrCtrl_ControlLoopInitialize()

void PwrCtrl_ControlLoopInitialize | ( | void |  | ) |
| static

Returns
  void

This function initializes the control loop necessary to run the close loop operation of the converter.

Definition at line 141 of file pwrctrl.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ PwrCtrl_Execute()

void PwrCtrl_Execute | ( | void |  | ) |

Returns
  void

After initialization this function has to be called on a deterministic, constant time base. Each execution step, this function will call the power control state machine.

Definition at line 88 of file pwrctrl.c.

Here is the call graph for this function:

## ◆ PwrCtrl_Initialize()

void PwrCtrl_Initialize | ( | void |  | ) |

Returns
  void

This function initialize the power control PWM instances, settings, start-up configuration and control loop configuration.

Definition at line 45 of file pwrctrl.c.

Here is the call graph for this function:

## ◆ PwrCtrl_Reset()

void PwrCtrl_Reset | ( | void |  | ) |

Returns
  void

This function resets the power control properties including the PWM properties and control loop references.

Definition at line 102 of file pwrctrl.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ PwrCtrl_StartUpInitialize()

static void PwrCtrl_StartUpInitialize | ( | void |  | ) |
| static

Returns
  void

This function initializes the Ramp Up configuration for voltage, current and power. For each parameters that would be ramped up, pointer to the reference, reference target pointer, increment/decrement step size, delay for each increment/decremnt counter for each execution need to be defined. When the reference becomes equal to the reference targe, the rampComplete data member will be set.

Definition at line 186 of file pwrctrl.c.

Here is the caller graph for this function:

## Variable Documentation

## ◆ dab

POWER_CONTROL_t dab

The 'dab' data object holds all status, control and monitoring values of the POWER_CONTROL_t power controller.

Definition at line 28 of file pwrctrl.c.